Add an ad hoc document notification
POST/documents/:documentId/notifications
Queue an ad hoc notification for a document or one of its artifacts
Request
Path Parameters
documentId stringrequired
Document Identifier
Query Parameters
siteId string
Site Identifier
artifactId string
Artifact Document Identifier
- application/json
Body
required
notificationType DocumentNotificationType (string)required
Type of document notification
Possible values: [EMAIL, IN_APP]
cc email[]
CC recipient email addresses
Possible values: >= 1
bcc email[]
BCC recipient email addresses
Possible values: >= 1
subject stringrequired
Notification subject
Possible values: non-empty
body stringrequired
Notification body
Possible values: non-empty
Responses
- 202
- 400
Notification accepted for delivery
Response Headers
Access-Control-Allow-Origin
string
Access-Control-Allow-Methods
string
Access-Control-Allow-Headers
string
- application/json
- Schema
- Example (from schema)
Schema
message stringrequired
Notification queueing result
{
"message": "string"
}
Invalid notification request
- application/json
- Schema
- Example (from schema)
Schema
Array [
]
errors
object[]
List of errors
key string
Error Key
error string
Error Message
{
"errors": [
{
"key": "string",
"error": "string"
}
]
}
Loading...